//**************************************************************************
//**
//**	##   ##    ##    ##   ##   ####     ####   ###     ###
//**	##   ##  ##  ##  ##   ##  ##  ##   ##  ##  ####   ####
//**	 ## ##  ##    ##  ## ##  ##    ## ##    ## ## ## ## ##
//**	 ## ##  ########  ## ##  ##    ## ##    ## ##  ###  ##
//**	  ###   ##    ##   ###    ##  ##   ##  ##  ##       ##
//**	   #    ##    ##    #      ####     ####   ##       ##
//**
//**	$Id: core.h 4251 2010-05-20 18:39:48Z dj_jl $
//**
//**	Copyright (C) 1999-2010 Jānis Legzdiņš
//**
//**	This program is free software; you can redistribute it and/or
//**  modify it under the terms of the GNU General Public License
//**  as published by the Free Software Foundation; either version 2
//**  of the License, or (at your option) any later version.
//**
//**	This program is distributed in the hope that it will be useful,
//**  but WITHOUT ANY WARRANTY; without even the implied warranty of
//**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//**  GNU General Public License for more details.
//**
//**************************************************************************

#ifndef _CORE_H
#define _CORE_H

//	C headers
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <cstdarg>
#include <cmath>

#include "common.h"		//	Common types and definitions
#include "zone.h"		//	Zone memory allocation
#include "endian.h"		//	Endianes handling
#include "names.h"		//	Built-in names
#include "log.h"		//	General logging interface
#include "exception.h"	//	Exception handling
#include "stream.h"		//	Streams
#include "array.h"		//	Dynamic arrays
#include "map.h"		//	Mapping of keys to values
#include "crc.h"		//	CRC calcuation
#include "name.h"		//	Names
#include "str.h"		//	Strings
#include "args.h"		//	Command line arguments.
#include "memorystream.h"//	In-memory streams
#include "arraystream.h"//	Stream for reading from array
#include "bitstream.h"	//	Streams for bit-data
#include "vector.h"		//	Vector math
#include "matrix.h"		//	Matrices
#include "xml.h"		//	XML file parsing

#endif
